Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# IImage.h File Reference

`#include "IReferenceCounted.h"`
`#include "position2d.h"`
`#include "rect.h"`
`#include "SColor.h"`

Go to the source code of this file.

## Classes

class | irr::video::IImage
| Interface for software image data. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

enum | irr::video::ECOLOR_FORMAT { irr::video::ECF_A1R5G5B5 = 0, irr::video::ECF_R5G6B5, irr::video::ECF_R8G8B8, irr::video::ECF_A8R8G8B8, irr::video::ECF_R16F, irr::video::ECF_G16R16F, irr::video::ECF_A16B16G16R16F, irr::video::ECF_R32F, irr::video::ECF_G32R32F, irr::video::ECF_A32B32G32R32F, irr::video::ECF_UNKNOWN }
| An enum for the color format of textures used by the Irrlicht Engine. More...

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)